%define upstream_name    Connector
%define upstream_version 1.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A generic connection to a hierarchical-structured data set
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Connector/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Std)
BuildRequires: perl(Config::Versioned)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildArch: noarch

%description
The Connector is generic connection to a data set, typically configuration
data in a hierarchical structure. Each connector object accepts the
get(KEY) method, which, when given a key, returns the associated value from
the connector's data source.

Typically, a connector acts as a proxy to a simple data source like YAML,
Config::Std, Config::Versioned, or to a more complex data source like an
LDAP server or Proc::SafeExec. The standard calling convention via get(KEY)
makes the connectors interchangeable.

In addition, a set of meta-connectors may be used to combine multiple
connectors into more complex chains. The Connector::Multi, for example,
allows for redirection to delegate connectors via symbolic links. If you
have a list of connectors and want to use them in a load-balancing,
round-robin fashion or have the list iterated until a value is found, use
Connector::List and choose the algorithm to perform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.160.0-2.mga6
+ Revision: 1024320
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 1.160.0-1.mga6
+ Revision: 924893
- imported package perl-Connector


* Sun Jan 17 2016 buchan 1.16-1mga
- New upstream version 1.16

* Sun May 10 2015 buchan 1.15-1mga
- initial mageia release, generated with cpan2dist
